Subject: Re: git commit --date format

From: Junio C Hamano <[email-masked]>
Date: Tue, 14 Apr 2015 10:10:59 -0700

乙酸鋰 <[email-masked]> writes:

> Hi,
>
> In git < 2.0, git commit --amend --date="" can amend commit with
> current time as author time.
> But since git 2.0, this does not work, dying with "invalid date format".
> I have to instead type git commit --amend --date="now".
> Is empty string date format no longer supported? Or will be fixed?

I think this was a fix to the overly loose parser which took any
typo (including an empty string, e.g. --date="$prevuois" that
misspels the name of a shell variable that has the timestamp) as
"now".